import java.io.*;

public class ReadFileWithRAF
{
  public static void main( String[] args )
  {
    try
    {
      RandomAccessFile f;
      f = new RandomAccessFile( "EastOfJava.txt", "r" );
      
      for ( String line; (line=f.readLine()) != null; )
        System.out.println( line );
    }
    catch ( FileNotFoundException e )  // Datei gibt’s nich’
    {
      System.err.println( "Datei gibt's nicht!" );
    }
    catch ( IOException e )            // Schreib- Leseprobleme
    {
      System.err.println( "Schreib- Leseprobleme!" );
    }
  }
}
